searchNodes=[{"doc":"Copies files according to the given profile's configuration. Usage: $ mix phx.copy PROFILE [PROFILE2 ...] Prior to running, the given PROFILE must be properly configured in config/config.exs . See the documentation of Phoenix.Copy for more information.","ref":"Mix.Tasks.Phx.Copy.html","title":"Mix.Tasks.Phx.Copy","type":"task"},{"doc":"Copy static assets for your Phoenix app during development and deployment. For more information, see the README . Direct Usage To copy files once, use run/1 with the name of the configured profile(s): run ( :default ) run ( [ :default , :assets ] ) To watch for changes and continually copy files, use watch/1 : watch ( :default ) watch ( [ :default , :assets ] ) Note that watch/1 will block execution.","ref":"Phoenix.Copy.html","title":"Phoenix.Copy","type":"module"},{"doc":"Returns the configuration of the given profile .","ref":"Phoenix.Copy.html#config_for!/1","title":"Phoenix.Copy.config_for!/1","type":"function"},{"doc":"Copies files from the configured source and destination for the given profile . Returns a list of copied files.","ref":"Phoenix.Copy.html#run/1","title":"Phoenix.Copy.run/1","type":"function"},{"doc":"Watch for changes in the configured source and copy files to the destination . Also performs an initial copy of the files immediately. Note that this function blocks execution until the process receives an exit signal. If multiple profiles are given, the watcher will watch all of the source directories and react according to the file's closest watched ancestor. This means that watched directories may overlap, with nested sources sending their files to different locations than their ancestors.","ref":"Phoenix.Copy.html#watch/1","title":"Phoenix.Copy.watch/1","type":"function"},{"doc":"v0.1.1 (2022-07-07) Add : Run multiple profiles at once in Phoenix.Copy.run/1 , Phoenix.Copy.watch/1 , and mix phx.copy . Fix : Support single-file source and destination paths.","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Fix : Use default latency of 500ms for watcher on macOS to reduce double-copies v0.1.0-rc.2 (2022-03-24) Add : Add some basic tests Fix : Removing a file no longer causes an error v0.1.0-rc.1 (2022-03-23) Add : Perform an initial copy when watcher starts v0.1.0-rc.0 (2022-03-22) Initial release Add : mix phx.copy task Add : Phoenix.Copy.watch/1 with Phoenix Endpoint watcher compatibility","ref":"changelog.html#v0-1-0-2022-03-24","title":"Changelog - v0.1.0 (2022-03-24)","type":"extras"},{"doc":"Copy static assets for your Phoenix app during development and deployment. This project provides: A mix task mix phx.copy for one-time copying of files during deployment Integration with Phoenix watchers to provide continuous copying of files in development The ability to configure multiple sources and destinations for more complex workflows It pairs nicely with the Phoenix team's esbuild and tailwind helpers for a complete asset pipeline.","ref":"readme.html","title":"Phoenix Copy","type":"extras"},{"doc":"If you plan to copy assets in production, then add phoenix_copy as a dependency in all environments: def deps do [ { :phoenix_copy , &quot;~&gt; 0.1.1&quot; } ] end On the other hand, if you only need to copy assets in development, you can install it as a dev dependency only: def deps do [ { :phoenix_copy , &quot;~&gt; 0.1.1&quot; , only : :dev } ] end After installation, phoenix_copy requires some configuration.","ref":"readme.html#installation","title":"Phoenix Copy - Installation","type":"extras"},{"doc":"This project uses configuration profiles to allow multiple configurations with the same package. To get started, let's create a profile called default in the app's configuration: config :phoenix_copy , default : [ source : Path . expand ( &quot;../assets/static/&quot; , __DIR__ ) , destination : Path . expand ( &quot;../priv/static/&quot; , __DIR__ ) ] In this example, files will be copied from ../assets/static/ to ../priv/static/ , two directories relative to the location of the configuration file. By using Path.expand(..., __DIR__) , we can be sure that the paths won't change depending on the working directory of the caller. If you need multiple copies to take place, you can add additional profiles: config :phoenix_copy , images : [ source : Path . expand ( &quot;../assets/static/images/&quot; , __DIR__ ) , destination : Path . expand ( &quot;../priv/static/images/&quot; , __DIR__ ) ] , docs : [ source : Path . expand ( &quot;../docs/&quot; , __DIR__ ) , destination : Path . expand ( &quot;../priv/static/docs/&quot; , __DIR__ ) ]","ref":"readme.html#configuration","title":"Phoenix Copy - Configuration","type":"extras"},{"doc":"For one-time copying of files — for example, when preparing assets for deployment — use mix phx.copy [profile] [profile2] ... with the name of the configuration profiles. This can integrate with a mix alias for ease-of-use (for example, in mix.exs ): defp aliases do [ &quot;assets.deploy&quot; : [ &quot;phx.copy default&quot; , &quot;esbuild default --minify&quot; , &quot;tailwind default --minify&quot; , &quot;phx.digest&quot; ] , # ... ] end For continuous copying of files — for example, in development — use Phoenix.Copy and the watch/1 function with the name of the configuration profile. This can integration with Phoenix endpoint configuration for ease-of-use (for example, in dev.exs ): config :my_app , MyAppWeb.Endpoint , http : [ port : 4000 ] , # ... watchers : [ asset_copy : { Phoenix.Copy , :watch , [ :default ] } , esbuild : { Esbuild , :install_and_run , [ :default , ~w(--sourcemap=inline --watch) ] } , tailwind : { Tailwind , :install_and_run , [ :default , ~w(--watch) ] } ] For continuously copying multiple profiles at once, use {Phoenix.Copy, :watch, [[:profile1, :profile2, ...]]} .","ref":"readme.html#usage","title":"Phoenix Copy - Usage","type":"extras"},{"doc":"This project uses code adapted from the esbuild and tailwind helpers for Phoenix. Those projects, like this one, are licensed under the MIT License . Thank you to the contributors of both projects.","ref":"readme.html#acknowledgements","title":"Phoenix Copy - Acknowledgements","type":"extras"},{"doc":"MIT License Copyright (c) 2022 AJ Foster Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]